How to upgrade YF v7.35 and v.8.0.8 to the latest release (9.8)?

Kanjana J shared this question 12 months ago
Answered

Hi Support,

We have yellowfin servers on a windows-server with a Postgresql database that needs to be upgraded to the latest release as follows.
1. Server 1: Upgrade from 8.0.8 to 9.8
2. Server 2: Upgrade from 7.35 to 9.8
Please advise what we should be to prepare before the upgrade(java version? or etc..) and the steps of each server upgrade for us.


Thank you and Best regards,

Ann

Replies (4)

photo
1

HI Kanjana,

Thanks for reaching out to support with your question.

We have some good info on upgrading Yellowfin on on WIki and Community Knowledge Base, see here -

https://wiki.yellowfinbi.com/display/yfcurrent/Upgrading+your+Yellowfin+Build


https://community.yellowfinbi.com/knowledge-base/article/%e2%80%8bbest-practice-for-performing-a-yellowfin-upgrade

It can be a little different on older versions, With 7.3 especially pre-7.35 we recommend doing a more granular upgrade, to newest 7.3, then 7.4, test then V8 or V9. Version 8 should be fine to go directly to the most recent builds.


https://community.yellowfinbi.com/knowledge-base/article/upgrading-to-yellowfin-7-2

As per best practices we recommend having a good test environment,


https://community.yellowfinbi.com/knowledge-base/article/replicating-your-yellowfin-environment

Be sure to check the release notes particularly on V9 for the many updates that may impact your setup -


https://wiki.yellowfinbi.com/display/yfcurrent/Release+Notes+for+Yellowfin+9

You'll likely want to upgrade additional components such as Java, the DB, or the Physical components in particular, as Version 9 does require additional resources.

https://wiki.yellowfinbi.com/display/yfcurrent/Yellowfin+Server+Specification

You'll need to updat teh Java references in the application if Java is upgraded, see here -

https://community.yellowfinbi.com/knowledge-base/article/yellowfin-is-unable-to-start-after-upgrade-to-latest-java-version

Java 15 and 16 are "90%" supported in the latest versions though there may be a stray bug or two as this is relatively new. Java 11 is recommended if you run into any issues, please submit here if so.

Also, if Yellowfin has been installed with included Tomcat, you'll need to upgrade Tomcat separately, see here -


https://community.yellowfinbi.com/knowledge-base/article/how-to-upgrade-tomcat

9.8.1 includes Tomcat 9.0.68, which would be the "most supported" version currently.

There's a few different ways to approach the update process in general, sometimes a fresh install into an upgraded configuration DB is the "easiest" way to get things up to speed for example. If you'd like personalized assistance with this process for ensured success, feel welcome to reach out to an account manager for opportunities as we do offer these types of services through our consulting partners.


https://community.yellowfinbi.com/knowledge-base/article/does-yellowfin-offer-help-with-upgrading-to-the-latest-release

Thanks,
Eric

photo
1

Hi Kanjana,

Just wanted to check in to see if you had a chance to review my reply at this time.

Thanks,

Eric

photo
1

Hi Eric,

We are in the process of planning an upgrade.

I will let you know if any further information is needed.


Thank you for your advice.

Ann

photo
1

Hi Karjana,

Thanks for the additional info here, I'll mark this question as Answered for the time being but feel welcome to re-open with any additional related inquiries, or submit a new ticket with any upgrade related issues you may encounter.

Thanks,
Eric

Leave a Comment
 
Attach a file